All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
ViennaCLHostScalar_impl Struct Reference

`#include <viennacl_private.hpp>`

## Public Attributes

ViennaCLPrecision | precision
union {
float value_float
double value_double
}; |

## Detailed Description

Definition at line 67 of file viennacl_private.hpp.

## Member Data Documentation

union { ... }

ViennaCLPrecision ViennaCLHostScalar_impl::precision

Definition at line 69 of file viennacl_private.hpp.

double ViennaCLHostScalar_impl::value_double

Definition at line 73 of file viennacl_private.hpp.

float ViennaCLHostScalar_impl::value_float

Definition at line 72 of file viennacl_private.hpp.

The documentation for this struct was generated from the following file:

- libviennacl/src/viennacl_private.hpp